/// <reference types="react" />

import {ForwardRefExoticComponent} from 'react'
import {RefAttributes} from 'react'
import {SVGProps} from 'react'

/**
 * @public
 */
export declare const GroqLogo: ForwardRefExoticComponent<
  Omit<SVGProps<SVGSVGElement>, 'ref'> & RefAttributes<SVGSVGElement>
>

/**
 * @public
 */
export declare const GroqMonogram: ForwardRefExoticComponent<
  Omit<SVGProps<SVGSVGElement>, 'ref'> & RefAttributes<SVGSVGElement>
>

/**
 * @public
 */
export declare const SanityLogo: ForwardRefExoticComponent<
  Omit<SanityLogoProps & SVGProps<SVGSVGElement>, 'ref'> & RefAttributes<SVGSVGElement>
>

/**
 * @public
 */
export declare interface SanityLogoProps {
  dark?: boolean
}

/**
 * @public
 */
export declare const SanityMonogram: ForwardRefExoticComponent<
  Omit<SanityMonogramProps & Omit<SVGProps<SVGSVGElement>, 'color'>, 'ref'> &
    RefAttributes<SVGSVGElement>
>

/**
 * @public
 */
export declare interface SanityMonogramColor {
  bg1: string
  bg2: string
  fg: string
}

/**
 * @public
 */
export declare interface SanityMonogramProps {
  color?: SanityMonogramColor
}

export {}
